# List card status history Gets a list of a card's status history. The IDs of the card's account and org/tenant are parsed from the access token. **Note**: Only cards with status changes after September/2022 are returned. For more information, refer to [Card lifecycle and statuses](doc:card-lifecycle-and-statuses). # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Card status", "description": "Card status endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true }, "customerIdHeader": { "in": "header", "name": "x-customer-id", "schema": { "type": "integer" }, "required": true, "description": "Pismo customer ID" }, "pageQuery": { "in": "query", "name": "page", "schema": { "type": "string" }, "description": "Page number. Default is initial page - `0`. To navigate between pages, set `format=paged`." }, "perPageQuery2": { "in": "query", "name": "perPage", "description": "Items per page. Default is `10`.", "required": false, "schema": { "type": "string" } } }, "schemas": { "CardStatusListResponse": { "type": "object", "description": "Card status list response object", "properties": { "items": { "type": "array", "items": { "type": "object", "properties": { "status": { "$ref": "#/components/schemas/CardStatus" }, "previous_status": { "$ref": "#/components/schemas/PreviousStatus" }, "event_datetime": { "type": "string", "description": "Date/time card status changed, formatted as a RFC3339 string", "example": "2021-07-03T17:23:18Z" }, "operation": { "$ref": "#/components/schemas/Operation" } } } }, "currentPage": { "type": "integer", "description": "Current page", "example": 1 }, "perPage": { "type": "integer", "description": "Items per page", "example": 10 }, "totalItems": { "type": "integer", "description": "Total items", "example": 17 }, "pages": { "type": "integer", "description": "Total number of pages", "example": 2 } } }, "CardStatus": { "type": "string", "description": "Card status enum. Refer to the [Card lifecycle and statuses](https://developers.pismo.io/pismo-docs/docs/card-lifecycle-and-statuses) guide for more information and a complete list.\n", "example": "NORMAL" }, "Operation": { "type": "string", "description": "Operation that changed the card status: \n* `ACTIVATE`—When the card is activated via the [Activate physical card](https://developers.pismo.io/pismo-docs/reference/put-v1-card-activate) endpoint.\n* `UPDATE_STATUS_PUT`—When the card has its status changed via the [Update card status](https://developers.pismo.io/pismo-docs/reference/put-v1-card-status) endpoint.\n* `UPDATE_STATUS_PATCH`—When any card data changed via the end [Update card information](https://developers.pismo.io/pismo-docs/reference/patch-v2-card) endpoint.\n* `REISSUE`—When a card is reissued via the [Reissue card](https://developers.pismo.io/pismo-docs/reference/post-v1-card-reissue) endpoint. \n* `RESET_PASSWORD_TRIES`—When the password try counter is reset via the [Reset password try count](https://developers.pismo.io/pismo-docs/reference/post-v2-card-password-reset) endpoint.\n* `BIND_NONAME`—When the card noname and the cardholder are bound via the [Associate noname card with customer](https://developers.pismo.io/pismo-docs/reference/post-v2-card-bind) endpoint.\n* `BIND_REISSUE`—When the card noname and the holder are bound with reissue use case via the [Associate noname card with customer](https://developers.pismo.io/pismo-docs/reference/post-v2-card-bind) \n* `TEMPORARY_CARD_INOPERATIVE_EVENT`—When the `TEMPORARY` card is renewed and has its status changed to `NORMAL`. More details about `TEMPORARY` cards at [Cards management](https://developers.pismo.io/pismo-docs/docs/cards-overview-1) \n* `TEMPORARY_CARD_RENEWAL_EVENT`—When the `TEMPORARY` card is renewed and has its status changed to `INOPERATIVE`. More details about `TEMPORARY` cards at [Cards management](https://developers.pismo.io/pismo-docs/docs/cards-overview-1) \n* `AUTH_PASSWORD_TRIES_EXCEEDED`—When at the time network authorization (OffUs), the number of password tries made reaches the allowed try limit.\n* `AUTHONUS_PASSWORD_TRIES_EXCEEDED`—When at the time authorization (OnUs), the number of password tries made reaches the allowed try limit.\n* `INCREASE_PASSWORD_TRIES_EXCEEDED`—When the number of attempts is increased through the endpoint\n* `MIGRATION`—When in the card migration flow to Pismo the card status changes.\n* `AUTH_REFERRED`—When at the time authorization and performing fraud analysis, the issuer can return a flag so that the card is blocked\n", "example": "ACTIVATE", "enum": [ "ACTIVATE", "UPDATE_STATUS_PUT", "UPDATE_STATUS_PATCH", "REISSUE", "RESET_PASSWORD_TRIES", "BIND_NONAME", "BIND_REISSUE", "TEMPORARY_CARD_INOPERATIVE_EVENT", "TEMPORARY_CARD_RENEWAL_EVENT", "AUTH_PASSWORD_TRIES_EXCEEDED", "AUTHONUS_PASSWORD_TRIES_EXCEEDED", "INCREASE_PASSWORD_TRIES_EXCEEDED", "MIGRATION", "AUTH_REFERRED" ] }, "PreviousStatus": { "type": "string", "description": "Previous card status. \n\nRefer to the [Card lifecycle and statuses](https://developers.pismo.io/pismo-docs/docs/card-lifecycle-and-statuses) guide for more information and a complete list.\n", "example": "NORMAL" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "404NotFound": { "description": "The specified resource was not found" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v1/cards/{cardId}/status-history": { "get": { "operationId": "get-v1-card-satus-history", "summary": "List card status history", "tags": [ "Card status" ], "description": "Gets a list of a card's status history. The IDs of the card's account and org/tenant are parsed from the access token.\n\n**Note**: Only cards with status changes after September/2022 are returned.\n\nFor more information, refer to [Card lifecycle and statuses](https://developers.pismo.io/pismo-docs/docs/card-lifecycle-and-statuses).\n", "parameters": [ { "$ref": "#/components/parameters/customerIdHeader" }, { "$ref": "#/components/parameters/cardId" }, { "$ref": "#/components/parameters/pageQuery" }, { "$ref": "#/components/parameters/perPageQuery2" } ], "responses": { "200": { "description": "Array of card statuses.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardStatusListResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```